SVREPORT.PY(1)

NAME
svreport.py - manual page for svreport.py v0.3.4

SYNOPSIS
svreport.py [command] [options]

DESCRIPTION
Supported commands:

    - list: lists all scans

- export:
    exports the given scan to a given format

- delete:
    deletes the scan

- stats:
    print out some statistics of interest

- search:
    search for a specific string in the user agent (svmap)

examples:

    svreport.py list

    svreport.py export -f pdf -o scan1.pdf -s scan1

    svreport.py delete -s scan1

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-v, --verbose
    Increase verbosity

-q, --quiet
    Quiet mode

-t SESSIONTYPE, --type=SESSIONTYPE
    Type of session. This is usually either svmap, svwar or svcrack. If not set I will try to find the best match

-s SESSION, --session=SESSION
    Name of the session

-f FORMAT, --format=FORMAT
    Format type. Can be stdout, pdf, xml, csv or txt

-o OUTPUTFILE, --output=OUTPUTFILE
    Output filename

-n  Do not resolve the ip address

-c, --count
    Used togather with 'list' command to count the number of entries

    SIPVicious report engine manages sessions from previous scans with SIPVicious tools and allows you to export these scans. Copyright (C) 2021 Sandro Gauci <sandrogauc@gmail.com>

    This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

SEE ALSO
The full documentation for svreport.py can be found on GitHub at <https://github.com/enablesecurity/sipvicious/wiki>.